Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.tools.development.testing
Class LocalRdbmsServiceTestConfig

    java.lang.Object
      com.google.appengine.tools.development.testing.LocalRdbmsServiceTestConfig

All Implemented Interfaces:
  LocalServiceTestConfig

    public class LocalRdbmsServiceTestConfig

extends java.lang.Object
implements LocalServiceTestConfig

Config for accessing the local rdbms service in tests. Default behavior is to configure the local service to use an in-memory database. `tearDown()` does not wipe out data or tables. TODO(maxr): Implement subclasses that wipe out data and/or tables.

Constructor Summary
`LocalRdbmsServiceTestConfig()`

Method Summary
`java.lang.String` | `getDriverClass()`
`java.lang.String` | `getJdbcConnectionStringFormat()`
`static LocalRdbmsService` | `getLocalRdbmsService()`
`LocalRdbmsServiceTestConfig` | `setDriverClass(java.lang.String driverClass)` Sets the class of the driver used by the `LocalRdbmsService`.
`LocalRdbmsServiceTestConfig` | `setJdbcConnectionStringFormat(java.lang.String jdbcConnectionStringFormat)` Sets the format of the connection string that the jdbc driver will use.
`void` | `setUp()` Set up the local service.
`void` | `tearDown()` Tear down the local service.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalRdbmsServiceTestConfig

    public LocalRdbmsServiceTestConfig()

Method Detail

### setUp

    public void setUp()

  Description copied from interface: `LocalServiceTestConfig`
  Set up the local service.

  Specified by:
    `setUp` in interface `LocalServiceTestConfig`

### tearDown

    public void tearDown()

  Description copied from interface: `LocalServiceTestConfig`
  Tear down the local service.

  Specified by:
    `tearDown` in interface `LocalServiceTestConfig`

### getLocalRdbmsService

    public static LocalRdbmsService getLocalRdbmsService()

### getDriverClass

    public java.lang.String getDriverClass()

  Returns:
    The driver class.

### setDriverClass

    public LocalRdbmsServiceTestConfig setDriverClass(java.lang.String driverClass)

  Sets the class of the driver used by the `LocalRdbmsService`.

  Parameters:
    `driverClass` - The driver class. Must be the fully-qualified name of a class that implements `java.sql.Driver`.
  Returns:
    `this` (for chaining)

### getJdbcConnectionStringFormat

    public java.lang.String getJdbcConnectionStringFormat()

  Returns:
    The jdbc connection string format

### setJdbcConnectionStringFormat

    public LocalRdbmsServiceTestConfig setJdbcConnectionStringFormat(java.lang.String jdbcConnectionStringFormat)

  Sets the format of the connection string that the jdbc driver will use. This string will be passed as the first argument to `String.format(String, Object...)` with the database instance as the second argument to form the full jdbc connection string. For example, if the value of this property is "jdbc:somevendor:%s" and the database instance is "test" then the full jdbc connection string will be "jdbc:somevendor:test".

  Parameters:
    `jdbcConnectionStringFormat` - the connection string format
  Returns:
    `this` (for chaining)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD